Page MenuHomePhabricator

Disable NavigationPopups (Gadget) if Hovercards Beta Feature is enabled
Closed, ResolvedPublic

Description

Call the global disablePopups() if present

Details

Reference
bz62952

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:53 AM
bzimport added a project: Page-Previews.
bzimport set Reference to bz62952.
Prtksxna created this task.Mar 22 2014, 4:31 AM

Change 120188 had a related patch set uploaded by Prtksxna:
Disable NavigationPopups (Gadget) is Popups (Extension) is enabled

https://gerrit.wikimedia.org/r/120188

Change 120188 merged by jenkins-bot:
Disable NavigationPopups (Gadget) if Popups (Extension) is enabled

https://gerrit.wikimedia.org/r/120188

The merged patch did not work as intended.

Change 141668 had a related patch set uploaded by Prtksxna:
disablenavpop: Use winow:load instead of dom:ready

https://gerrit.wikimedia.org/r/141668

Change 141668 merged by jenkins-bot:
disablenavpop: Use winow onload instead of dom ready

https://gerrit.wikimedia.org/r/141668

Re-opening, as I'm getting Hovercards and Navpopups at the same time, at mediawiki.org. Firefox 32.

Also, the settings menu is only showing me options for "Simple" and "Disable previews", no matter what I try or change.

(Note: I removed navpopups from my global.js and that did Not fix either of the problems.)

I need help resolving this bug. I am unable to understand the order in which things are executing, though the order should not be affecting this at all.

The code in the Extension [1] and my common.js [2] are the same and yet it does not work from the extension. Any help is welcome.

[1] http://git.wikimedia.org/blob/mediawiki%2Fextensions%2FPopups.git/7b5fbab16011f1770f69248dd3e4d99bea7e4b4f/resources%2Fext.popups.disablenavpop.js
[2] https://en.wikipedia.org/wiki/User:Prtksxna/common.js

Prtksxna added a subscriber: TheDJ.EditedDec 2 2014, 10:07 AM

@TheDJ, any thoughts on this?

TheDJ added a comment.Dec 2 2014, 10:22 AM

Hmm, yes this is a little bit complicated.. Nav Popups actually does several events, each of which are preceded by a setupPopups() check, which when not setup, happily sets up nav popups..

The only way i can see to counter this is simply disabling multiple times as well. It's not nice, but that's the only thing I can imagine.

Depending on how many copies of navpopups are out there, I could consider adding an 'explicit' disable flag, that gets checked by setupPopups before it starts doing it's job...
But non en.wiki copies would not benefit from that..

Prtksxna raised the priority of this task from Normal to High.Dec 2 2014, 4:10 PM
Prtksxna updated the task description. (Show Details)
Prtksxna set Security to None.
Prtksxna renamed this task from Hovercards: disable NavigationPopups (Gadget) if Hovercards Beta Feature is enabled to Disable NavigationPopups (Gadget) if Hovercards Beta Feature is enabled.Dec 3 2014, 5:30 AM
Prtksxna moved this task from Backlog to Next Up on the Page-Previews board.

Change 183008 had a related patch set uploaded (by Prtksxna):
Disable Navigation Popups on render rather than document load

https://gerrit.wikimedia.org/r/183008

Patch-For-Review

Prtksxna moved this task from Next Up to For Review on the Page-Previews board.Jan 7 2015, 12:11 AM

Change 183008 merged by jenkins-bot:
Disable Navigation Popups on render rather than document load

https://gerrit.wikimedia.org/r/183008

Prtksxna closed this task as Resolved.Feb 27 2015, 12:26 AM
Prtksxna moved this task from For Review to Done on the Page-Previews board.Mar 18 2015, 5:56 AM